%define upstream_name    MooX-Role-Pluggable
%define upstream_version 0.120006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    MooX::Role::Pluggable EAT values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moo) >= 1.0.7
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(parent)
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
A the Moo::Role manpage for turning instances of your class into pluggable
objects. Consumers of this role gain a plugin pipeline and methods to
manipulate it, as well as a flexible dispatch system (see the
/_pluggable_process manpage).

The logic and behavior is based almost entirely on the Object::Pluggable
manpage. Some methods are the same; implementation & interface differ some
(dispatch is slightly faster, also) and you will still want to read
thoroughly if coming from the Object::Pluggable manpage.

It may be worth noting that this is nothing at all like the Moose
counterpart the MooseX::Role::Pluggable manpage. If the names confuse ...
well, I lacked for better ideas. ;-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.6-2.mga4
+ Revision: 533097
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 0.120.6-1.mga4
+ Revision: 471662
- update to 0.120006

* Thu Aug 22 2013 sander85 <sander85> 0.120.5-1.mga4
+ Revision: 469824
- update to 0.120005

* Mon Jun 10 2013 jquelin <jquelin> 0.120.4-1.mga4
+ Revision: 441669
- update to 0.120004

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 342389
- update to 0.11

* Wed Nov 14 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 317879
- update to 0.10

* Sun Oct 21 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 308763
- adding missing buildrequires:
- imported package perl-MooX-Role-Pluggable


* Sun Oct 21 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
